Skip to main content
PATCH
/
stores
/
{storeId}
/
webhooks
/
{webhookId}
Update a webhook
curl --request PATCH \
  --url https://api.pandabase.io/v2/core/stores/{storeId}/webhooks/{webhookId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "eventTypes": [
    "PAYMENT_PENDING"
  ],
  "note": "<string>",
  "isEnabled": true
}
'
{
  "ok": true,
  "data": "<unknown>"
}

Authorizations

Authorization
string
header
required

Store API token. Use the sk_ prefixed secret key as the Bearer token.

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

Required string length: 12 - 48
webhookId
string
required

Webhook ID (whk_ prefix)

Required string length: 12 - 48

Body

application/json
url
string<uri>
Maximum string length: 512
Pattern: ^https://
eventTypes
enum<string>[]
Minimum array length: 1
Available options:
PAYMENT_PENDING,
PAYMENT_PROCESSING,
PAYMENT_COMPLETED,
PAYMENT_REFUNDED,
PAYMENT_DISPUTED,
PAYMENT_DISPUTE_WON,
PAYMENT_DISPUTE_LOST,
PAYMENT_FAILED
note
string | null
Maximum string length: 256
isEnabled
boolean

Response

Successful operation

ok
boolean
required
data
any
required